Skip to content

Replace the treasury operators for this account

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Replace the treasury operators for this account

Security
oauth2ClientCredentials(Required scopes: investments:write)
Path
fundAccountIdstringrequired
Headers
Idempotency-Keystring

Required on write endpoints (POST). UUID per submission. Middleware dedupes for 24h.

org_wallet_refstring
business_idstringrequired
Bodyapplication/jsonrequired
treasury_operatorsArray of stringsrequired

Full replacement list of employee ids permitted to transfer funds from this account. Sent wholesale — the upstream replaces the wallet permission list with exactly these ids.

Example:
[ "64f0a1b2c3d4e5f600112233", "64f0a1b2c3d4e5f600445566" ]
grantsArray of objects(InvestmentPermissionGrantDto)
curl -i -X PUT \
  'https://developer.boyahq.com/_mock/v2/openapi/investments/accounts/{fundAccountId}/permissions' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Idempotency-Key: string' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "treasury_operators": [
      "64f0a1b2c3d4e5f600112233",
      "64f0a1b2c3d4e5f600445566"
    ],
    "grants": [
      {
        "employee_id": "64f0a1b2c3d4e5f600112233",
        "actions": [
          "VIEW"
        ]
      }
    ]
  }'

Responses

Bodyapplication/json
fund_account_idstringrequired

Customer's fund account ID

Example:"fa_01HXYZ..."
investment_wallet_idstring

Boya wallet id backing the investment account.

Example:"I622957"
treasury_operatorsArray of stringsrequired

Employee ids permitted to transfer funds from this account (treasury operators).

Example:
[ "64f0a1b2c3d4e5f600112233", "64f0a1b2c3d4e5f600445566" ]
grantsArray of objects(InvestmentPermissionGrantDto)required
Response
{ "fund_account_id": "fa_01HXYZ...", "investment_wallet_id": "I622957", "treasury_operators": [ "64f0a1b2c3d4e5f600112233", "64f0a1b2c3d4e5f600445566" ], "grants": [ {} ] }